# This file contains constant variables that are fixed to this project

# Version
Set                                 ( CPPFS_VERSION_MAJOR           1 )
Set                                 ( CPPFS_VERSION_MINOR           0 )
Set                                 ( CPPFS_VERSION_PATCH           0 )
Set                                 ( CPPFS_VERSION_BUILD           0 )
Set                                 ( CPPFS_VERSION_HASH            "" )
Set                                 ( CPPFS_VERSION_BEHIND          0 )
Set                                 ( CPPFS_VERSION_DIRTY           0 )

# Names
Set                                 ( CPPFS_PROJECT_NAME            "cppfs" )
Set                                 ( CPPFS_PROJECT_DESCRIPTION     "A simple interface library" )

# Include generated variables for further usage
Include                             ( ${CMAKE_CURRENT_LIST_DIR}/cppfs-var.cmake )

# Install directories
Set                                 ( CPPFS_INSTALL_DIR_INCLUDE     "${CMAKE_INSTALL_INCLUDEDIR}/${CPPFS_NAME}" )
Set                                 ( CPPFS_INSTALL_DIR_LIB         "${CMAKE_INSTALL_LIBDIR}" )
Set                                 ( CPPFS_INSTALL_DIR_SHARE       "${CMAKE_INSTALL_DATAROOTDIR}/${CPPFS_NAME}" )

# C Standard
Set                                 ( CMAKE_C_STANDARD                      11 )
Set                                 ( CMAKE_CXX_STANDARD                    17 )
Set                                 ( CMAKE_C_STANDARD_REQUIRED             ON )
Set                                 ( CMAKE_CXX_STANDARD_REQUIRED           ON )
