#pragma once

#define cppfs_os_linux      1
#define cppfs_os_windows    2
#define cppfs_os_ios        3

#if defined(__linux__)
    #define cppfs_os cppfs_os_linux
#else
    #error "Unknown or unsupported operation system!"
#endif

namespace cppfs
{

#if cppfs_os == cppfs_os_linux
    struct constants
    {
        static constexpr char           path_delimiter    = '/';
        static constexpr const char *   temp_dir          = "/tmp";
    };

    using fd_handle = int;
#endif

}
