# This file contains generated variables that are needed for the project

# Git Version
If                                  ( CPPFS_USE_GIT_VERSION )
    Include                             ( git_helper OPTIONAL RESULT_VARIABLE HAS_GIT_HELPER )
    If                                  ( HAS_GIT_HELPER )
        GitGetVersion                       ( ${CMAKE_CURRENT_LIST_DIR}/..
                                                CPPFS_VERSION_MAJOR
                                                CPPFS_VERSION_MINOR
                                                CPPFS_VERSION_PATCH
                                                CPPFS_VERSION_BUILD
                                                CPPFS_VERSION_HASH
                                                CPPFS_VERSION_BEHIND
                                                CPPFS_VERSION_DIRTY )
    EndIf                               ( )
EndIf                               ( )

# Strings
Set                                 ( CPPFS_VERSION_SHORT
                                      "${CPPFS_VERSION_MAJOR}.${CPPFS_VERSION_MINOR}" )
Set                                 ( CPPFS_VERSION
                                      "${CPPFS_VERSION_SHORT}.${CPPFS_VERSION_PATCH}.${CPPFS_VERSION_BUILD}" )
Set                                 ( CPPFS_VERSION_COMPLETE
                                      "${CPPFS_VERSION}" )
Set                                 ( CPPFS_NAME
                                      "${CPPFS_PROJECT_NAME}-${CPPFS_VERSION_SHORT}" )
Set                                 ( CPPFS_OUTPUTNAME
                                      "${CPPFS_PROJECT_NAME}" )
If                                  ( CPPFS_VERSION_BEHIND )
    Set                                 ( CPPFS_VERSION_COMPLETE
                                          "${CPPFS_VERSION_COMPLETE}+${CPPFS_VERSION_BEHIND}" )
EndIf                               ( )
